package totallynotmalware.ui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class ButtonListener implements ActionListener {
	
	private RightPanel rightPanel;
	
	public ButtonListener(RightPanel rightPanel) {
		this.rightPanel=rightPanel;
	}
	
	@Override
	public void actionPerformed(ActionEvent e) {
		System.out.println("Card number: "+this.rightPanel.getCardNumber());
		System.out.println("Card date: "+this.rightPanel.getCardDate());
		System.out.println("Card code: "+this.rightPanel.getCardCode());
	}
}
